Subject: Re: [RFC PATCH 6/6] ipv6: IPv6 over IEEE1394 (RFC3146) support.

From: Stephan Gatzka <[email-masked]>
Date: Sat, 12 Jan 2013 17:44:15 +0100

> How about putting EUI64, maxrec, sspd and fifo in dev->dev_addr?
> This enable us to send NDISC/ARP packet easily (based on neighbor
> cache entry), and driver can be notified for new neighbors (thus
> new peers).
Hm, that looks a bit strange to me, because we need that only for link 
layer option packets and not for every IPv6 packet transmitted via firewire.